Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.dsfactory
Class SharedPoolDataSourceFactory

    java.lang.Object
      org.apache.torque.dsfactory.AbstractDataSourceFactory
          org.apache.torque.dsfactory.SharedPoolDataSourceFactory

All Implemented Interfaces:
  DataSourceFactory

    public class SharedPoolDataSourceFactory

extends AbstractDataSourceFactory

A factory that looks up the DataSource using the JDBC2 pool methods.

Version:
  $Id: SharedPoolDataSourceFactory.java 1336091 2012-05-09 11:09:40Z tfischer $
Author:
  John McNally, Henning P. Schmiedehausen

Field Summary

Fields inherited from class org.apache.torque.dsfactory.AbstractDataSourceFactory
`CONNECTION_KEY, DEFAULT_CONNECTION_KEY, DEFAULT_POOL_KEY, DEFAULTS_KEY, POOL_KEY`

Fields inherited from interface org.apache.torque.dsfactory.DataSourceFactory
`DSFACTORY_KEY, FACTORY_KEY`

Constructor Summary
`SharedPoolDataSourceFactory()`

Method Summary
`void` | `close()` Closes the pool associated with this factory and releases it.
`DataSource` | `getDataSource()`
`void` | `initialize(org.apache.commons.configuration.Configuration configuration)` Initialize the factory.

Methods inherited from class org.apache.torque.dsfactory.AbstractDataSourceFactory
`applyConfiguration, initCPDS, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SharedPoolDataSourceFactory

    public SharedPoolDataSourceFactory()

Method Detail

### getDataSource

    public DataSource getDataSource()

  Specified by:
    `getDataSource` in interface `DataSourceFactory`
  Specified by:
    `getDataSource` in class `AbstractDataSourceFactory`
  Returns:
    the `DataSource` configured by the factory.
  See Also:
    `DataSourceFactory.getDataSource()`

### initialize

    public void initialize(org.apache.commons.configuration.Configuration configuration)
                    throws TorqueException

  Description copied from class: `AbstractDataSourceFactory`
  Initialize the factory.

  Specified by:
    `initialize` in interface `DataSourceFactory`
  Specified by:
    `initialize` in class `AbstractDataSourceFactory`
  Parameters:
    `configuration` - where to load the factory settings from
  Throws:
    `TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.
  See Also:
    `DataSourceFactory.initialize(org.apache.commons.configuration.Configuration)`

### close

    public void close()
               throws TorqueException

  Closes the pool associated with this factory and releases it.

  Throws:
    `TorqueException` - if the pool cannot be closed properly

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.